summaryrefslogtreecommitdiff
path: root/jetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb
diff options
context:
space:
mode:
Diffstat (limited to 'jetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb')
-rwxr-xr-xjetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb25
1 files changed, 25 insertions, 0 deletions
diff --git a/jetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb b/jetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb
new file mode 100755
index 0000000..e5f4502
--- /dev/null
+++ b/jetson-tk1/recipes-bsp/binary-drivers/linux-driver-package/nvfb
@@ -0,0 +1,25 @@
+#!/bin/sh
+#"specific first-boot script"
+
+nvexec() {
+ RET=0
+ if [ ! -e /etc/nv/nvfirstboot ]; then
+ RET=0
+ else
+ echo "/usr/lib/arm-linux-gnueabihf/tegra" >> /etc/ld.so.conf
+ echo "/usr/lib/arm-linux-gnueabihf/tegra-egl" >> /etc/ld.so.conf
+
+ ldconfig
+ rm -rf /etc/nv/nvfirstboot
+ fi
+ exit $RET
+}
+
+case "$1" in
+ start)
+ nvexec
+ exit 0
+ ;;
+ *)
+ exit 1
+esac